Subject: Re: [Patch net-next v4 3/5] vxlan: add ipv6 support

From: Cong Wang <[email-masked]>
Date: Wed, 17 Apr 2013 21:18:12 +0800

On Wed, 2013-04-17 at 13:36 +0300, Mike Rapoport wrote:
> Well, I think that the address comparison helpers,
> vxlan_nla_{get,put}_addr, vxlan_newlink and vxlan_fill_info can be
> left with run-time checks only. Maybe some other places as well.
> Removing the ifdefs will increase compile time for kernels configured
> with IPV6=n, and may have certain run-time performance impact for such
> kernels. On the other hand, less ifdefs means better readability :).

In theory, yes; in this case, I don't think having these ifdefs harms
the readability.